%define _unpackaged_files_terminate_build 1

Name: kchmviewer
Version: 3.1
Release: alt2

Summary: KchmViewer is a chm (MS HTML help file format) viewer
License: GPL
Group: Office
Url: http://kchmviewer.sourceforge.net

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source: %name-%version.tar.gz
Patch1: %name-3.0-alt-header-guards.patch
Patch2: %name-3.1-alt-desktop.patch

BuildPreReq: gcc-c++ libchm-devel libjpeg-devel libXext-devel libXt-devel
BuildPreReq: libqt3-devel libqt3-devel-cxx = %__gcc_version_base
BuildPreReq: kdelibs-devel kdelibs-devel-cxx = %__gcc_version_base

Requires(post,postun): desktop-file-utils
BuildPreReq: desktop-file-utils

%description
KchmViewer is a chm (MS HTML help file format) viewer, written in C++.
Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget
library, and does not depend either on KDE or Gnome. It will be integrated
into KDE later, but there still will be a stand-alone version. 
The main advantage of KchmViewer is non-English language support.
Unlike others, KchmViewer in most cases correctly detects help file
encoding, correctly shows tables of context of Russian, Korean and
Japanese help files, and correctly searches in Russian help files.

%prep
%setup
%patch1 -p2
%patch2 -p2
%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
#%%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" configure
#%%__autoreconf
%make -f admin/Makefile.common

%build
%configure \
	--disable-static \
	--enable-final \
	--with-kde
%make

%install
%makeinstall
rm -f %buildroot%_libdir/*.a
%find_lang %name

%post
%update_menus
%update_desktopdb

%postun
%clean_menus
%clean_desktopdb

%files -f %name.lang
%doc ChangeLog DCOP-bingings README FAQ 
%_bindir/%name
%_libkde/kio_msits.*
%_iconsdir/crystalsvg/*/apps/%name.png
%_Kservices/msits.protocol
%_desktopdir/%name.desktop

%changelog
* Thu Mar 20 2008 Andrey Rahmatullin <wrar@altlinux.ru> 3.1-alt2
- add update_desktopdb/clean_desktopdb calls (found by repocop)
- fix desktop file according to desktop-file-validate

* Sun Jun 17 2007 Andrey Rahmatullin <wrar@altlinux.ru> 3.1-alt1
- 3.1-2

* Sun Apr 01 2007 Andrey Rahmatullin <wrar@altlinux.ru> 3.0-alt1
- 3.0

* Thu Dec 07 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.7-alt1
- 2.7

* Thu Oct 05 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.6-alt1
- 2.6
- take from orphaned
- build with KDE
- spec fixes and cleanup
- enable installing of translation files
- enable _unpackaged_files_terminate_build

* Wed Apr 19 2006 Andrey Semenov <mitrofan@altlinux.ru> 2.5-alt1
- 2.5

* Tue Feb 07 2006 Andrey Semenov <mitrofan@altlinux.ru> 2.0-alt1
- new version

* Mon Nov 28 2005 Andrey Semenov <mitrofan@altlinux.ru> 1.3-alt1
- new version

* Wed Nov 02 2005 Andrey Semenov <mitrofan@altlinux.ru> 1.1-alt1
- new version

* Mon Sep 12 2005 Andrey Semenov <mitrofan@altlinux.ru> 1.0-alt2
- add file menu

* Fri Jul 29 2005 Andrey Semenov <mitrofan@altlinux.ru> 1.0-alt1
- 1.0

* Thu Jun 30 2005 Andrey Semenov <mitrofan@altlinux.ru> 0.92-alt1
- 0.92

* Mon Jun 20 2005 Andrey Semenov <mitrofan@altlinux.ru> 0.91-alt1
- 0.91

* Wed Jun 08 2005 Andrey Semenov <mitrofan@altlinux.ru> 0.9-alt1
- 0.9

* Thu May 12 2005 Andrey Semenov <mitrofan@altlinux.ru> 0.3-alt1
- 0.3

* Mon Apr 25 2005 Andrey Semenov <mitrofan@altlinux.ru> 0.2-alt1
- 0.2

* Thu Apr 21 2005 Andrey Semenov <mitrofan@altlinux.ru> 0.1-alt1
- First version
